Bug 495265 - Can only get audio from amarok from integrated sound card
Can only get audio from amarok from integrated sound card
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: pulseaudio (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Lennart Poettering
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-10 19:14 EDT by John Curcio
Modified: 2009-04-20 19:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-20 19:18:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
pulseaudio -vvvv (128.38 KB, text/plain)
2009-04-20 09:51 EDT, John Curcio
no flags Details

  None (edit)
Description John Curcio 2009-04-10 19:14:56 EDT
Description of problem:Not sure if this is the correct component but the only audio I can get from F10 is from the integrated audio card (and not my seperate Creative Audio card) and only from Amarok (nothing from Rythumbox, exaile, firefox, or xine


Version-Release number of selected component (if applicable): 0.9.14-1


How reproducible: Always


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info: Can hear buzzing when touching jack to output of sound-card, have changed volume, attempted testing any/all devices via KDE's "System Systems", Multipedia .. and Gnome's "Administration" "Sounds", but hear nothing. 

See the following on /var/log/messages ->
Apr 10 18:48:59 localhost pulseaudio[3868]: alsa-util.c: Device front:2 doesn't support 44100 Hz, changed to 48000 Hz.
Apr 10 18:48:59 localhost pulseaudio[3868]: alsa-util.c: Cannot find fallback mixer control "PCM".
Apr 10 18:48:59 localhost pulseaudio[3868]: alsa-util.c: Device hw:0 doesn't support 44100 Hz, changed to 16000 Hz.
Apr 10 18:48:59 localhost pulseaudio[3868]: alsa-util.c: Device hw:0 doesn't support 2 channels, changed to 1.
Apr 10 18:48:59 localhost pulseaudio[3868]: module-alsa-source.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.
Apr 10 18:54:25 localhost kernel: end_request: I/O error, dev sr1, sector 0

Pulseaudio rpms include -> 
[root@F10-New ~]# rpm -qa | grep pulseaudio
pulseaudio-module-x11-0.9.14-1.fc10.i386
alsa-plugins-pulseaudio-1.0.18-2.fc10.i386
pulseaudio-libs-0.9.14-1.fc10.i386
xine-lib-pulseaudio-1.1.16.3-1.fc10.i386
pulseaudio-core-libs-0.9.14-1.fc10.i386
pulseaudio-0.9.14-1.fc10.i386
pulseaudio-libs-glib2-0.9.14-1.fc10.i386
pulseaudio-utils-0.9.14-1.fc10.i386
kde-settings-pulseaudio-4.1-6.20090206svn.fc10.noarch
pulseaudio-esound-compat-0.9.14-1.fc10.i386
pulseaudio-module-gconf-0.9.14-1.fc10.i386
[root@F10-New ~]#

Alsa rpm's incude ->
[root@F10-New ~]# rpm -qa | grep alsa
alsa-plugins-pulseaudio-1.0.18-2.fc10.i386
alsa-utils-1.0.19-2.fc10.i386
alsa-oss-libs-1.0.17-1.fc10.i386
alsa-plugins-oss-1.0.18-2.fc10.i386
alsa-lib-1.0.19-2.fc10.i386
alsa-oss-1.0.17-1.fc10.i386
alsa-plugins-jack-1.0.18-2.fc10.i386
bluez-alsa-4.30-2.fc10.i386

Am including snapshot of KDE's sound device list.

Also, receive notification that one of the HDA Intel devices is not working properly.

Seperate card is X-Fi Extrene Audio [SB0790] (CA0106) ... but have also created earlier CA card with same results.

Thanks for your help!
Comment 1 Lennart Poettering 2009-04-13 11:34:25 EDT
Please run pavucontrol and right click on the Amarok stream to wsitch it to another device.
Comment 2 John Curcio 2009-04-14 07:16:14 EDT
Sorry, but I'm a little confused ... right now I'm not getting audio from _any_ of my applications on either the add-on sound card or my integrated sound card ... with the one exception of Aramok which I can only get on my integrated port. Still, I brought up pavucontrol and don't see any place where I see any applications listed [I've looked on all four tabs]. I do see that under the Output Devices tab, I have the CA106 (addon card) listed as my default, just like I do for my input devices. Under the Playback tab I only see a setting for mono and that is set to 100% volume (and yes, mute is _not_ selected).

Since I do not see any applications listed in pavucontrol, am I missing some RPMs?

I have added a few more alsa packages so here is a listing of the related RPMs I have ->
[root@F10-New ~]# rpm -qa | grep gstreamer
gstreamer-plugins-base-0.10.21-2.fc10.i386
gstreamer-plugins-bad-extras-0.10.9-1.fc10.i386
gstreamer-plugins-flumpegdemux-0.10.15-4.fc10.i386
gstreamer-plugins-good-0.10.13-1.fc10.i386
PackageKit-gstreamer-plugin-0.3.14-1.fc10.i386
gstreamer-0.10.21-2.fc10.i386
gstreamer-python-0.10.12-1.fc10.i386
totem-gstreamer-2.24.3-1.fc10.i386
phonon-backend-gstreamer-4.3.1-2.fc10.i386
gstreamer-tools-0.10.21-2.fc10.i386
gstreamer-ffmpeg-0.10.5-1.fc10.i386
gstreamer-plugins-ugly-0.10.10-2.fc10.i386
gstreamer-plugins-bad-0.10.9-1.fc10.i386
[root@F10-New ~]# rpm -qa | grep gstreamer | sort
gstreamer-0.10.21-2.fc10.i386
gstreamer-ffmpeg-0.10.5-1.fc10.i386
gstreamer-plugins-bad-0.10.9-1.fc10.i386
gstreamer-plugins-bad-extras-0.10.9-1.fc10.i386
gstreamer-plugins-base-0.10.21-2.fc10.i386
gstreamer-plugins-flumpegdemux-0.10.15-4.fc10.i386
gstreamer-plugins-good-0.10.13-1.fc10.i386
gstreamer-plugins-ugly-0.10.10-2.fc10.i386
gstreamer-python-0.10.12-1.fc10.i386
gstreamer-tools-0.10.21-2.fc10.i386
PackageKit-gstreamer-plugin-0.3.14-1.fc10.i386
phonon-backend-gstreamer-4.3.1-2.fc10.i386
totem-gstreamer-2.24.3-1.fc10.i386

[root@F10-New ~]# rpm -qa | grep alsa | sort
alsa-lib-1.0.19-2.fc10.i386
alsa-oss-1.0.17-1.fc10.i386
alsa-oss-libs-1.0.17-1.fc10.i386
alsa-plugins-jack-1.0.18-2.fc10.i386
alsa-plugins-oss-1.0.18-2.fc10.i386
alsa-plugins-pulseaudio-1.0.18-2.fc10.i386
alsa-utils-1.0.19-2.fc10.i386
bluez-alsa-4.30-2.fc10.i386

[root@F10-New ~]# rpm -qa | grep pulse | sort
alsa-plugins-pulseaudio-1.0.18-2.fc10.i386
kde-settings-pulseaudio-4.1-6.20090206svn.fc10.noarch
pulseaudio-0.9.14-1.fc10.i386
pulseaudio-core-libs-0.9.14-1.fc10.i386
pulseaudio-esound-compat-0.9.14-1.fc10.i386
pulseaudio-libs-0.9.14-1.fc10.i386
pulseaudio-libs-glib2-0.9.14-1.fc10.i386
pulseaudio-module-gconf-0.9.14-1.fc10.i386
pulseaudio-module-x11-0.9.14-1.fc10.i386
pulseaudio-utils-0.9.14-1.fc10.i386
xine-lib-pulseaudio-1.1.16.3-2.fc10.i386

[root@F10-New ~]# rpm -qa | grep xine | sort
phonon-backend-xine-4.3.1-2.fc10.i386
totem-xine-2.24.3-1.fc10.i386
xine-0.99.5-5.fc10.i386
xine-lib-1.1.16.3-2.fc10.i386
xine-lib-extras-1.1.16.3-2.fc10.i386
xine-lib-extras-freeworld-1.1.16.3-1.fc10.i386
xine-lib-pulseaudio-1.1.16.3-2.fc10.i386
xine-plugin-1.0.1-4.fc10.i386


...oh, and here are the sound-related kernel modules I have running ->


[root@F10-New ~]# lsmod | grep snd | sort
ac97_bus                5504  1 snd_ac97_codec
snd                    50616  29 snd_ca0106,snd_hda_intel,snd_seq_dummy,snd_ac97_codec,snd_seq_oss,snd_seq,snd_pcm_oss,snd_mixer_oss,snd_usb_audio,snd_usb_lib,snd_pcm,snd_rawmidi,snd_seq_device,snd_timer,snd_hwdep
snd_ac97_codec         95268  1 snd_ca0106
snd_ca0106             32644  2
snd_hda_intel         354068  3
snd_hwdep              10500  2 snd_hda_intel,snd_usb_audio
snd_mixer_oss          16896  1 snd_pcm_oss
snd_page_alloc         11016  3 snd_ca0106,snd_hda_intel,snd_pcm
snd_pcm                65924  5 snd_ca0106,snd_hda_intel,snd_ac97_codec,snd_pcm_oss,snd_usb_audio
snd_pcm_oss            42496  0
snd_rawmidi            22528  2 snd_ca0106,snd_usb_lib
snd_seq                48576  5 snd_seq_dummy,snd_seq_oss,snd_seq_midi_event
snd_seq_device         10124  4 snd_seq_dummy,snd_seq_oss,snd_seq,snd_rawmidi
snd_seq_dummy           6660  0
snd_seq_midi_event      9600  1 snd_seq_oss
snd_seq_oss            30364  0
snd_timer              22024  2 snd_seq,snd_pcm
snd_usb_audio          77696  2
snd_usb_lib            17536  1 snd_usb_audio
soundcore               9416  1 snd

Thanks again,
John C
Comment 3 John Curcio 2009-04-14 08:10:13 EDT
Just added padevchooser and pulseaudio-libs-zeroconf and now I get some sound when KDE starts up ... but only through my integrated sound port (?) and all other applications work as they did previously ... ie, none work on integrated or addon card except for amarok and that works only on integrated card. Well, it's not much, but we're a step closer :-) - Thanks, John C
Comment 4 John Curcio 2009-04-18 10:07:07 EDT
Added the following RPMs ->
Apr 18 06:31:07 Installed: gconfmm26-2.24.0-1.fc10.i386
Apr 18 06:31:08 Installed: xmms-pulse-0.9.4-6.fc10.i386
Apr 18 06:31:09 Installed: paman-0.9.4-2.fc9.i386
Apr 18 06:31:09 Installed: pulseaudio-module-zeroconf-0.9.14-1.fc10.i386
Apr 18 06:31:10 Installed: paprefs-0.9.7-3.fc10.i386
Apr 18 06:31:11 Installed: pavumeter-0.9.3-2.fc9.i386

Via gnome, forced playback through HDA Intel (OSS) and can now listen to exaile and rhythumbox, but not amarok or mplayer (in firefox or stand-alone) ... and only via integrated sound port ... can still not get anything from stand-alone sound card.

Via gnome, if I force playback via PulseAudio and bring up PulseAudio Volume Manager and can see it is connected to CA106 (my external card) and gets input when I test the playback option (System, Preferences, Hardware, Sound), but cannot hear anything over speakers.

Still see the following in /var/log/messages ->
Apr 18 10:01:06 localhost pulseaudio[3321]: pid.c: Stale PID file, overwriting.
Apr 18 10:01:06 localhost pulseaudio[3321]: alsa-util.c: Device front:2 doesn't support 44100 Hz, changed to 48000 Hz.
Apr 18 10:01:06 localhost pulseaudio[3321]: alsa-util.c: Cannot find fallback mixer control "PCM".
Apr 18 10:01:07 localhost pulseaudio[3321]: alsa-util.c: Device hw:0 doesn't support 44100 Hz, changed to 16000 Hz.
Apr 18 10:01:07 localhost pulseaudio[3321]: alsa-util.c: Device hw:0 doesn't support 2 channels, changed to 1.
Apr 18 10:01:07 localhost pulseaudio[3321]: module-alsa-source.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.
[root@F10-New log]# 

Oh yeah, tried the following test, but to no avail ->

cat /dev/urandom > /dev/dsp
-bash: /dev/dsp: Invalid argument
[root@F10-New log]# ls -sld /dev/dsp
0 crw-rw----+ 1 root root 14, 3 2009-04-18 10:00 /dev/dsp

Also seeing ->
[root@F10-New log]#  cat /proc/asound/cards
 0 [U0x46d0x8ca    ]: USB-Audio - USB Device 0x46d:0x8ca
                      USB Device 0x46d:0x8ca at usb-0000:00:1d.7-3, high speed
 1 [Intel          ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xfebf8000 irq 22
 2 [CA0106         ]: CA0106 - CA0106
                      X-Fi Extreme Audio [SB0790] at 0xbc00 irq 22


[root@F10-New log]# lspci | grep -i Audio
00:1b.0 Audio device: Intel Corporation 82801H (ICH8 Family) HD Audio Controller (rev 02)
05:01.0 Multimedia audio controller: Creative Labs CA0106 Soundblaster


I sure wish I had a little better handle on what is wrong and how to test. Any assistance would be much appreciated :-) Thanks
Comment 5 Lennart Poettering 2009-04-18 12:10:56 EDT
Please run PA in a terminal with "pulseaudio -vvvvv". (You might need to kill PA first by issuing "pulseaudio -k").

This will give you a lot of debug output which might give you a hint on what's going on. If you cannot make sense of it paste the output here.
Comment 6 John Curcio 2009-04-20 09:51:58 EDT
Created attachment 340343 [details]
pulseaudio -vvvv

Here is the output of pulseaudio -vvvv
Comment 7 John Curcio 2009-04-20 09:54:43 EDT
Thanks for the suggestion. The line that really stands out to me is the following ->

W: module-alsa-source.c: Your kernel driver is broken: it reports a volume range from 18.00 dB to 18.00 dB which makes no sense.

Hopefully this line or the full output of the pulseaudio -vvvv command will start to point us in the right direction.

Thanks for your help,
John C
Comment 8 Lennart Poettering 2009-04-20 11:30:22 EDT
That line is not particularly important. I just tells your that your sound card exposes invalid dB information. 

The problem is that sound card #1 is busy while PA starts up. Some other application is blocking access to the device and hence PA cannot initialize that card. Try 'fuser -v /dev/dsp* /dev/snd/*' as root to find out which process that is.
Comment 9 John Curcio 2009-04-20 12:07:33 EDT
Well, I was using exaile at the time when I ran this [but I don't think that would have interferred ... or did it?]

Currently, this is what I'm seeing. Does this look correct to you?


[root@F10-New ~]#
[root@F10-New ~]# fuser -v /dev/snd/*
                     USER        PID ACCESS COMMAND
/dev/snd/controlC0:  jcurcio   11787 F.... kmix
                     jcurcio   12030 F.... pulseaudio
/dev/snd/controlC1:  jcurcio   11787 F.... kmix
                     jcurcio   12030 F.... pulseaudio
/dev/snd/controlC2:  jcurcio   11787 F.... kmix
                     jcurcio   12030 F.... pulseaudio
/dev/snd/pcmC2D0p:   jcurcio   12030 F...m pulseaudio
[root@F10-New ~]#
[root@F10-New ~]#
[root@F10-New ~]# fuser -v /dev/dsp*
[root@F10-New ~]#
Comment 10 Lennart Poettering 2009-04-20 16:14:49 EDT
When PA initializes it needs to be able to access the device. Your log dump showed that some other process was blocking the device. No clue which one that was. But running fuser much later when when the error actually happened doesn't help much.

Please make sure that nothing blocks the audio device while PA starts up!
Comment 11 John Curcio 2009-04-20 19:18:03 EDT
Ok, well never mind ... I figured out most of it myself. The sound card doesn't seem to be supported all too well ... and I was able to get sound from all my sound apps [.. not sure about firefox, but I think I have them now..]

In some ways this really wasn't a "bug" that bugzilla should handle, but in other ways I'm pretty disappointed with the sluggish and very lack responsiveness. In the end I'm sorry to say it didn't help much at all. I'm closing the bug. If there is anything further I need to debug, I'll do it on my own. :-(

Note You need to log in before you can comment on or make changes to this bug.